Package org.silverpeas.mobile.shared.dto.navigation

## Enum Apps

- java.lang.Object
- - java.lang.Enum<Apps>
  - - org.silverpeas.mobile.shared.dto.navigation.Apps

- All Implemented Interfaces:
    `Serializable`, `Comparable<Apps>`

      public enum Apps
      extends Enum<Apps>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `almanach` |
    `blog` |
    `classifieds` |
    `formsOnline` |
    `gallery` |
    `hyperlink` |
    `kmelia` |
    `pollingStation` |
    `questionReply` |
    `quickinfo` |
    `resourcesManager` |
    `survey` |
    `userCalendar` |
    `webPages` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Apps` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Apps[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### gallery

          public static final Apps gallery

    - #### kmelia

          public static final Apps kmelia

    - #### quickinfo

          public static final Apps quickinfo

    - #### webPages

          public static final Apps webPages

    - #### blog

          public static final Apps blog

    - #### hyperlink

          public static final Apps hyperlink

    - #### almanach

          public static final Apps almanach

    - #### userCalendar

          public static final Apps userCalendar

    - #### formsOnline

          public static final Apps formsOnline

    - #### classifieds

          public static final Apps classifieds

    - #### survey

          public static final Apps survey

    - #### questionReply

          public static final Apps questionReply

    - #### pollingStation

          public static final Apps pollingStation

    - #### resourcesManager

          public static final Apps resourcesManager

  - ### Method Detail

    - #### values

          public static Apps[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Apps c : Apps.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Apps valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null